Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.security.auth
Class NTSidGroupPrincipal

    java.lang.Object
      com.ibm.security.auth.NTSid
          com.ibm.security.auth.NTSidGroupPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

    public class NTSidGroupPrincipal

extends NTSid

This class extends `NTSid` and represents one of the groups to which a Windows NT user belongs.

Principals such as this `NTSidGroupPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

This class will be replaced by `GroupIDPrincipal` in future releases of JAAS.

Author:
  D. Kent Soper
See Also:
  `Principal`, `Subject`, `GroupIDPrincipal`, Serialized Form

Constructor Summary
`NTSidGroupPrincipal(java.lang.String name)` Create an `NTSidGroupPrincipal` with a Windows NT group name.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compares the specified Object with this `NTSidGroupPrincipal` for equality.
`java.lang.String` | `toString()` Return a string representation of this `NTSidGroupPrincipal`.

Methods inherited from class com.ibm.security.auth.NTSid
`getName, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NTSidGroupPrincipal

    public NTSidGroupPrincipal(java.lang.String name)

  Create an `NTSidGroupPrincipal` with a Windows NT group name.

  Parameters:
    `name` - the Windows NT group SID for this user.

  Throws:
    `java.lang.NullPointerException` - if the `name` is `null`.

Method Detail

### toString

    public java.lang.String toString()

  Return a string representation of this `NTSidGroupPrincipal`.

  Specified by:
    `toString` in interface `java.security.Principal`
  Overrides:
    `toString` in class `NTSid`
  Returns:
    a string representation of this `NTSidGroupPrincipal`.

### equals

    public boolean equals(java.lang.Object o)

  Compares the specified Object with this `NTSidGroupPrincipal` for equality. Returns true if the given object is also a `NTSidGroupPrincipal` and the two NTSidGroupPrincipals have the same SID.

  Specified by:
    `equals` in interface `java.security.Principal`
  Overrides:
    `equals` in class `NTSid`
  Parameters:
    `o` - Object to be compared for equality with this `NTSidGroupPrincipal`.
  Returns:
    true if the specified Object is equal equal to this `NTSidGroupPrincipal`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD